Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 991124 - Incorrect user in Task API (SAML-BEARER-TOKEN)
Summary: Incorrect user in Task API (SAML-BEARER-TOKEN)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: 6.0.0
Assignee: Eric Wittmann
QA Contact: Stefan Bunciak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-01 16:56 UTC by kconner
Modified: 2014-02-06 15:33 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker DTGOV-44 Major Closed Incorrect user in Task API (SAML-BEARER-TOKEN) 2013-08-28 09:01:44 UTC

Description kconner 2013-08-01 16:56:51 UTC
The Task API implementation is currently pulling the auth user from the request incorrectly. It should be pulling the Principal from the request rather than simply asking for the remote user string. In the case of SAML bearer token authentication the remote user string is wrong. I believe the Principal should be right, however. If it is not, then the security context should be used to retrieve the right principal.

Comment 1 Stefan Bunciak 2013-08-28 09:01:38 UTC
Verified in S-RAMP 6.0.0.ER1


Note You need to log in before you can comment on or make changes to this bug.